/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
$producer-color: #53BBAD;
$diffuser-color: #C5205D;
$dark-color: #404040;
$discover-color: $dark-color;
$producer-hover-color: darken($producer-color, 5%);
$diffuser-hover-color: lighten($diffuser-color, 5%);
$discover-hover-color: darken($discover-color, 5%);
$banner-transition: 200ms;

.content--triangle {
  width: 100%;
  position: relative;
}

.banner {
  color: #fff;

  a {
    color: #fff;
  }

  & {
    transition: background $banner-transition ease;
  }

  &--producer {
    background-color: $producer-color;
    &.hover {
      background-color: $producer-hover-color;
    }
  }
  &--diffuser {
    background-color: $diffuser-color;
    &.hover {
      background-color: $diffuser-hover-color;
    }
  }
  &--discover {
    background-color: $discover-color;
    padding-top: $grid-gutter-width*3;
    padding-bottom: $grid-gutter-width*2;
    height:0; // fix ie v-align with flexbox...
    min-height: 33vh;
    vertical-align: middle;
    display: flex;
    justify-content: center;
    align-items: center;

    &.hover {
      background-color: $discover-hover-color;
    }
  }
  &--git {
    background-color: #4D4D4D;
    padding: $grid-gutter-width $grid-gutter-width;
    text-align: center;
    line-height: 1;
  }
}

.banner--triangle {
  position: absolute;
  top: 0;
  height: 100%;
  width: 50%;
  //box-sizing: border-box;
  $triangle-height: $grid-gutter-width;
  $triangle-width: 25vw;

  &.banner--producer {
    left: 0;
  }
  &.banner--diffuser {
    right: 0;
  }

  &::before, &::after {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
  }
  &::after {
    transition: border-color $banner-transition ease;
  }

  &::before {
    top: 0;
    z-index: 100;
  }
  &.banner--producer::before {
    right: 0;
    border-width: 0 $triangle-width $triangle-height 0;
    border-color: transparent white transparent transparent;

    /*border-width: $triangle-height $triangle-width $triangle-height 0;
    border-color: transparent white transparent transparent;*/
  }
  &.banner--diffuser::before {
    border-width: $triangle-height $triangle-width 0 0;
    border-color: white transparent transparent transparent;
  }

  &::after {
    top: 100%;
  }
  &.banner--producer::after {
    right: 0;
    border-width: 0 $triangle-width $triangle-height 0;
    border-color: transparent $producer-color transparent transparent;
  }
  &.banner--producer.hover::after {
    border-color: transparent $producer-hover-color transparent transparent;
  }
  &.banner--diffuser::after {
    border-width: $triangle-height $triangle-width 0 0;
    border-color: $diffuser-color transparent transparent transparent;
  }
  &.banner--diffuser.hover::after {
    border-color: $diffuser-hover-color transparent transparent transparent;
  }



}

/*@keyframes bounce {
  from, 20%, 53%, 80%, to {
    animation-timing-function: cubic-bezier(0.215, 0.610, 0.355, 1.000);
    transform: translate3d(0,0,0);
  }

  40%, 43% {
    animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
    transform: translate3d(0, -30px, 0);
  }

  70% {
    animation-timing-function: cubic-bezier(0.755, 0.050, 0.855, 0.060);
    transform: translate3d(0, -15px, 0);
  }

  90% {
    transform: translate3d(0, -4px, 0);
  }
}*/


.hero {
  text-align: center;
  //border: 1px solid red;
  align-items: stretch;
  display: flex;
  flex-direction: column;
  justify-content: center;
  //min-height: 100px+($grid-gutter-width*4);
  padding: $grid-gutter-width*4 0;
  min-height: 33vh;



  &__title {
    font-weight: 800;
    text-transform: uppercase;
    font-size: 32px;
    color: #4D4D4D;
    @media (max-width: $screen-xs-min) {
      font-size: 18px;
    }
  }
  &__image {
    $width: 88px;
    $height: 101px;
    //////////////
    opacity: 0.1;
    width: $width;
    height: $height;
    top: 50%;
    position: absolute;
    left: 50%;
    margin-left: -$width/2;
    margin-top: -$height/2;
  }
  &__arrow {
    $width: 26px*2.5;
    $height: 30px*2.5;
    //////////////
    width: $width;
    height: $height;

    position: absolute;
    left: 50%;
    margin-left: -$width/2;
    margin-top: -$height/2;
    //transform: rotate(180deg);
    top: 50%;

    -webkit-backface-visibility: hidden;
    transition: transform $banner-transition ease;

    @media (max-width: $screen-xs-min) {
      $width: 26px*2;
      $height: 30px*2;
      width: $width;
      height: $height;
      margin-left: -$width/2;
      margin-top: -$height/2;
    }
  }
  &--producer &__arrow {
    margin-top: -30px*3.5;
  }
  &--diffuser &__arrow {
    margin-top: 30px*1;
  }
  &.hover &__arrow {
    /*animation-name: bounce;
    transform-origin: center bottom;
    animation-duration: 1s;
    animation-fill-mode: both;*/
    animation: bounce 0.35s ease infinite alternate;
  }

}